#ifndef Schuss_H
#define Schuss_H

#include <Bild.h>
#include <Model2D.h>
#include <Datei.h>

using namespace Framework;

class Schuss : public Object2D
{
public:
	// Konstruktor
	Schuss( Vec2< float > pos, Vec2< float > speed );
	// nicht constant
	void render( Mat3< float > &kamMat, Bild &zRObj ) override;
	// constant
    Rect2< float > getBoundingBox() const override;
	void save( Datei *zD ) const;
};

#endif