#ifndef Asteroid_H
#define Asteroid_H

#include <Model2D.h>
#include <Datei.h>
#include <Random.h>

using namespace Framework;

class Schuss;

class Asteroid : public Model2DObject
{
private:
	char id;

public:
	// Konstruktor
	Asteroid( Model2DData *data, Bild *textur, Vertex p, Vertex s, float rS, float r = 0, float gr = 0, char num = 0 );
	// Destruktor
	~Asteroid();
	// nicht constant
	bool istGetroffen( Schuss *zSchuss, Polygon2D &a, Polygon2D &b, Punkt &pa, Punkt &pb, RandomGenerator *zRand );
    bool Asteroid::tick( const WeltInfo &info, double time ) override;
	// constant
	void save( Datei *zD ) const;
    char getId() const;
    int getScore() const;
};

#endif