#ifndef Ship_H
#define Ship_H

#include <Model2D.h>
#include <Datei.h>

using namespace Framework;

class Schuss;
class Asteroid;

class Ship : public Model2DObject
{
private:
    Vertex stL;
    Vertex kL;
    Vertex stR;
    Vertex kR;
    Vertex stM;
    Vertex kM;
    char tastenstnde;

public:
	// Konstruktor
	Ship( Model2DData *data, Vec2< float > p, Vec2< float > s, float r );
	// Destruktor
	~Ship();
	// nicht constant
    void setTastenstnde( char ts );
    void setTexture( Textur2D *zFlammenM, Textur2D *zFlammenL, Textur2D *zFlammenR, Bild *textur );
    void setPRS( Vec2< float > p, Vec2< float > s, float r, float rSpeed );
	bool tick( const WeltInfo &info, double zeit );
	// constant
	void save( Datei *zD ) const;
	Schuss *getSchuss() const;
};

#endif